See the top rated post in this thread. Click here

Results 1 to 5 of 5

Thread: Lisp for draw circle on particular text

  1. #1
    Member
    Join Date
    2017-09
    Posts
    9
    Login to Give a bone
    0

    Default Lisp for draw circle on particular text

    Someone please provide AutoCAD lisp for.. i need circle on particular text in drawing. Example: i have so many text like "COMBO" i need circle on them at a time by using lisp..

  2. #2
    All AUGI, all the time
    Join Date
    2010-06
    Posts
    962
    Login to Give a bone
    0

    Default Re: Lisp for draw circle on particular text

    Hi,

    1- Is the text string "COMBO" all the time or you would like the program to ask the user to specify a text string to search for it?
    2- Are you are referring to single text or Mtext?
    3- Is there any specific layer that you would like the circle(s) to reside on?
    4- Is there any specific Diameter of circle(s) to go with or the length of each text to be the Diameter of circles?

  3. #3
    Member
    Join Date
    2017-09
    Posts
    9
    Login to Give a bone
    0

    Default Re: Lisp for draw circle on particular text

    the COMBO text in particular block reference and i need circle on them.. thats ok it should be in any layer any diameter(but it should appear). Just i want circle on COMBO..

    thanks for my concern

  4. #4
    All AUGI, all the time
    Join Date
    2010-06
    Posts
    962
    Login to Give a bone
    1

    Default Re: Lisp for draw circle on particular text

    Try this routine and let me know.

    Code:
    (defun c:Test ( / sel int ins ent get)
      ;; Tharwat - Date: 27.Sep.2017	;;
      (if (setq int -1 sel (ssget '((0 . "INSERT") (66 . 1))))
        (while (setq ent (ssname sel (setq int (1+ int))))
          (setq ins (assoc 10 (entget ent)))
          (while (= (cdr (assoc 0 (setq get (entget (setq ent (entnext ent)))))) "ATTRIB")
            (if (wcmatch (strcase (cdr (assoc 1 get))) "*COMBO*")
              (entmake (list '(0 . "CIRCLE") ins '(40 . 14.0)))
              )
            )
          )
        )
      (princ)
      )

  5. #5
    Member
    Join Date
    2017-09
    Posts
    9
    Login to Give a bone
    0

    Default Re: Lisp for draw circle on particular text

    YA THIS GREAT. but i have so many combo blocks. i need circles on them at a time.

Similar Threads

  1. Draw Circle from Criteria
    By sanju2323 in forum VBA/COM Interop
    Replies: 0
    Last Post: 2016-03-14, 02:15 PM
  2. Replies: 13
    Last Post: 2014-07-01, 02:23 PM
  3. Iwant a lisp: draw a CIRCLE
    By hass11533092 in forum AutoLISP
    Replies: 0
    Last Post: 2014-02-02, 08:40 PM
  4. AI_CIRCTAN draw a circle tan to three objects
    By Richard.Kent in forum AutoCAD Tips & Tricks
    Replies: 0
    Last Post: 2007-09-24, 11:00 PM
  5. How do I draw a circle on a cylinder?
    By fudata in forum AutoCAD 3D (2006 or below)
    Replies: 11
    Last Post: 2005-06-22, 11:11 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •